complexType "PrincipalExchange"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedPrincipalExchangeDate?, adjustedPrincipalExchangeDate?, principalExchangeAmount?
</...>

Content Model Elements (3):

  adjustedPrincipalExchangeDate,
  principalExchangeAmount (defined in PrincipalExchange complexType),
  unadjustedPrincipalExchangeDate

Annotation
A type defining a principal exchange amount and adjusted exchange date. The type forms part of the cashflow representation of a swap stream.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PrincipalExchange"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedPrincipalExchangeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPrincipalExchangeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="principalExchangeAmount" type="xsd:decimal"/> <!--View Generation: SKIPPED discountFactor - Unsupported--> <!--View Generation: SKIPPED presentValuePrincipalExchangeAmount - Unsupported--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustedPrincipalExchangeDate

  Type: | xsd:date, predefined, simple content

  The principal exchange date. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedPrincipalExchangeDate" type="xsd:date"/>

principalExchangeAmount

  Type: | xsd:decimal, predefined, simple content

  The principal exchange amount. This amount should be positive if the stream payer is paying the exchange amount and signed negative if they are receiving it.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalExchangeAmount" type="xsd:decimal"/>

unadjustedPrincipalExchangeDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="unadjustedPrincipalExchangeDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.